RevKeen Docs
Api reference

Retrieve an order

Retrieves an order by its ID, including line items.


Related endpoints

  • GET /orders — List orders
  • POST /orders — Create an order
  • PATCH /orders/{id} — Update an order
  • POST /orders/{id}/pay — Pay for an order
  • POST /orders/{id}/cancel — Cancel an order
  • POST /orders/{id}/fulfill — Fulfill an order

Common errors

  • 401 unauthenticated — missing, malformed, or revoked API key.
  • 404 resource_missing — the referenced resource does not exist or is not visible to your key.
GET
/orders/{id}
x-api-key<token>

Your RevKeen API key (powered by Unkey). Get it from Dashboard > Settings > API Keys. Use rk_sandbox_* for test mode and rk_live_* for production.

In: header

Path Parameters

id*string

Order ID

Formatuuid

Response Body

application/json

application/json

application/json

curl "https://api.revkeen.com/v2/orders/00000000-0000-0000-0000-000000000000" \  -H "x-api-key: $REVKEEN_API_KEY"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "object": "order",
  "public_id": "string",
  "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
  "status": "draft",
  "billing_type": "one_time",
  "fulfillment_status": "unfulfilled",
  "currency": "string",
  "subtotal": 0,
  "discount": 0,
  "tax": 0,
  "total": 0,
  "amount_paid": 0,
  "amount_refunded": 0,
  "amount_due": 0,
  "line_items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
      "description": "string",
      "quantity": 1,
      "unit_price": 0,
      "subtotal": 0,
      "discount": 0,
      "tax": 0,
      "total": 0,
      "metadata": {},
      "position": 0
    }
  ],
  "metadata": {},
  "notes": "string",
  "invoice_id": "f4c4edb8-11e0-4b33-bcc1-482dc59ebb32",
  "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "paid_at": "2019-08-24T14:15:22Z",
  "canceled_at": "2019-08-24T14:15:22Z",
  "fulfilled_at": "2019-08-24T14:15:22Z",
  "expires_at": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string"
  }
}